(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13900,        448]
NotebookOptionsPosition[     13163,        426]
NotebookOutlinePosition[     13595,        443]
CellTagsIndexPosition[     13552,        440]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"<<", "VilCretas`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Combinatorica`"}]}], "Input",
 CellChangeTimes->{{3.810506119678713*^9, 3.8105061232079926`*^9}, {
  3.810506561763445*^9, 3.810506562075122*^9}, {3.810506806163209*^9, 
  3.810506810432928*^9}, {3.810550723424421*^9, 3.8105507272571745`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"bbfa6ee1-b1e9-4e85-9cf2-33d13d62cf72"],

Cell[BoxData[
 TemplateBox[{
  "General", "compat", 
   "\"Combinatorica Graph and Permutations functionality has been superseded \
by preloaded functionality. The package now being loaded may conflict with \
this. Please see the Compatibility Guide for details.\"", 2, 2, 1, 
   30171501292820296517, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.810506812891086*^9, 3.810549996039374*^9, 
  3.810550734594353*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"f1ed40a2-09b1-4d11-9204-b1497c8ed04e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"a", ",", "5", ",", 
     RowBox[{"-", "20"}], ",", "b"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Particiones", "=", 
   RowBox[{"SetPartitions", "[", "A", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"i", "\[Rule]", 
    RowBox[{"ReEquivalenciaParticion", "[", 
     RowBox[{
      RowBox[{"Particiones", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", "A"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", 
     RowBox[{"Length", "[", "Particiones", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8105061751177216`*^9, 3.8105062060528717`*^9}, {
   3.810506289523316*^9, 3.8105063305700426`*^9}, {3.810506386015894*^9, 
   3.8105063993982697`*^9}, {3.810506470320118*^9, 3.8105065387886133`*^9}, 
   3.810506977773911*^9},ExpressionUUID->"799dbdbf-2229-4413-8cdf-\
93d167484ed6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"2", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"4", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"5", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"6", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"7", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"8", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"9", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"10", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"11", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"12", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"13", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"14", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"15", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "20"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "b"}], "}"}]}], "}"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8105063312457666`*^9, {3.810506519888915*^9, 3.810506539584467*^9}, 
   3.810506816816311*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"ac704fb9-3bc3-4671-be13-f7240b57655f"]
}, Open  ]]
},
WindowSize->{946.5, 381.5},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"acc863b5-4eca-4a34-aff9-8b61ae4f526c"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 407, 6, 107, "Input",ExpressionUUID->"bbfa6ee1-b1e9-4e85-9cf2-33d13d62cf72"],
Cell[990, 30, 557, 12, 178, "Message",ExpressionUUID->"f1ed40a2-09b1-4d11-9204-b1497c8ed04e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1584, 47, 939, 23, 307, "Input",ExpressionUUID->"799dbdbf-2229-4413-8cdf-93d167484ed6"],
Cell[2526, 72, 10621, 351, 1524, "Output",ExpressionUUID->"ac704fb9-3bc3-4671-be13-f7240b57655f"]
}, Open  ]]
}
]
*)

